/*
 * this file contains type definitions needed by
 * the app
 */

/*
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies of the Software, its documentation and marketing & publicity
 * materials, and acknowledgment shall be given in the documentation, materials
 * and software packages that this Software was used.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef _TYPES_H_
#define _TYPES_H_

/*
 * mail_opt contains all needed values to send the mail
 * it is used for easier value-handling in the app
 */
typedef struct mail_opt{
  char *host;
  char *sender;
  char *user;
  char *pass;
  unsigned int rcpt_count;
  char **rcpt_addr;
  unsigned int cc_count;
  char **cc_addr;
  unsigned int bcc_count;
  char **bcc_addr;
  char *msg;
  char *reply;
  char *subj;
  unsigned int verbose;
  unsigned int pass_unchanged;
  unsigned int att_count;
  char **att_names;
} mail_opt;

#endif /* _TYPES_H_ */
